%define _unpackaged_files_terminate_build	1

%define module_name	cronyx
%define module_version	6.0
%define module_release	alt6.pre26.M40.1
%define kversion	2.6.18
%define krelease	alt12.M40.3
%define flavour	std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define kernel_headers_dir %_usrsrc/linux-%kversion-%flavour-%krelease
%define zaptel_headers_dir %kernel_headers_dir/drivers/zaptel

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.12.M40.3
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: cronyx


ExclusiveOS: Linux
Url: http://cronyx.ru/software/

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name >= 1.3-alt0.11.20061012
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-zaptel-%kversion-%flavour-%krelease

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%define zaptel_release_file %kernel_headers_dir/kernel-modules-zaptel.release
%([ -s "%zaptel_release_file" ] && echo "PreReq: $(cat "%zaptel_release_file")")

%description
Cronyx modules, that needed for all Cronyx hardware

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
# Copy symbol version file from zaptel to get proper versioning
mkdir -p build-%kversion-%flavour-%krelease
cat %kernel_headers_dir/kernel-modules-zaptel.symvers \
	> build-%kversion-%flavour-%krelease/Module.symvers

export KERNEL_SOURCE=%_usrsrc/linux-%kversion-%flavour
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
export WITH_ZAPTEL=%zaptel_headers_dir
cronyx_features="async ce cp ct cx sync cisco fr rbrg packet raw"
mkdir -p %buildroot/%module_dir
./configure \
	`for i in $cronyx_features; do echo "--enable-$i"; done` \
	--with-ksrc=%_usrsrc/linux-%kversion-%flavour \
	--with-zaptel=%zaptel_headers_dir \
	--with-libmod=%buildroot/%module_dir
sed -i /depmod/d Makefile
make all

%install
make modules_install INSTALL_MOD_PATH=%buildroot
#mv %buildroot/%module_dir/../cronyx %buildroot/%module_dir
#mv %buildroot/%module_dir/lib/modules/*/extra/* %buildroot/%module_dir/
#rmdir %buildroot/%module_dir/lib/modules/*/extra
#rmdir %buildroot/%module_dir/lib/modules/*
#rmdir %buildroot/%module_dir/lib/modules
#rmdir %buildroot/%module_dir/lib

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%dir %module_dir
#dir %module_dir/cronyx
%module_dir/async.ko
%module_dir/binder.ko
%module_dir/ce.ko
%module_dir/cisco.ko
%module_dir/cp.ko
%module_dir/ct.ko
%module_dir/cx.ko
%module_dir/czaptel.ko
%module_dir/fr.ko
%module_dir/packet.ko
#module_dir/ppps.ko
%module_dir/raw.ko
%module_dir/rbrg.ko
%module_dir/sync.ko

%changelog
* Mon Jul 14 2008 Michail Yakushin <silicium@altlinux.ru> 6.0-alt6.pre26.M40.1.132626.12.M40.3
- Build for kernel-image-std-smp-2.6.18-alt12.M40.3.

* Sun Nov 25 2007 Sergey Vlasov <vsu@altlinux.ru> 6.0-alt6.pre26.M40.1
- Bump release to distinguish from Sisyphus (currently Sisyphus and 4.0
  contain the same version of cronyx drivers, but different zaptel versions,
  therefore packages need to have different releases).

* Thu Oct 18 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt6.pre26
- update for last zaptel

* Sat Aug 04 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt5.pre26
- version update

* Sun May 27 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt5.pre20
- update for last zaptel

* Sun Apr 15 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt4.pre20
- update for last zaptel

* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt3.pre20
- update for last zaptel

* Mon Feb 26 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt2.pre20
- update for last zaptel

* Sat Feb 24 2007 Sergey Vlasov <vsu@altlinux.ru> 6.0-alt1.pre20
- Fixed build with recent kernels (proper symbol versioning is now mandatory
  in 2.6.18-ovz): use kernel-headers-zaptel-%%kversion-%%flavour-%%krelease
  instead of zaptel-devel and get Module.symvers from there.
- Add dependency on exactly the same release of kernel-modules-zaptel-* which
  corresponds to the used kernel-headers-zaptel-*.

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt0.pre20
- moved from zaptel to separate package
